import { Module } from '@nestjs/common';
import { DeviceService } from './device.service';
import { DeviceController } from './device.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { TranslateDeviceEntity } from '@/entities/translate-device.entity';

@Module({
  imports: [TypeOrmModule.forFeature([TranslateDeviceEntity])],
  controllers: [DeviceController],
  providers: [DeviceService],
})
export class DeviceModule {}
